Page MenuHomePhabricator

Incorrect page count on gu.wikisource
Closed, ResolvedPublic

Description

http://gu.wikisource.org/wiki/વિશેષ:આંકડાકીયમાહિતી shows the total page count of 607 but actually there are more than 1100 valid pages in main namespace. This is evident from http://wikisource.org/wiki/Main_Page, where Gujarati is places in the group of wikis with 1000+ pages. On IRC chat Reedy told me that current settings are as following:

var_dump( $wgArticleCountMethod );

string(4) "link"
'link': the page must contain a wiki link to be considered valid

And that is the reason correct page count is not displayed, because it being a Wikisource, not necessarily each page would have wikilink.

Will appreciate if that is changed to the settings where it gives most accurate numbers (as wikisource.org gives for Gujarati). Also, comma won't work, because many poetic pages will even not have comma or dots.

I would suggest best to use 'any' so that all the valid pages are counted.


Version: wmf-deployment
Severity: normal

Details

Reference
bz40173

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 12:48 AM
bzimport set Reference to bz40173.
Dsvyas created this task.Sep 11 2012, 9:22 PM

Taking this bug. Gerrit change 23490.

Please get a local consensus for this change (I checked the recent changes and have seen you know have a few users publishing content, it so would be a good idea to inaugurate a community space to discuss such changes).

Note: after merging this change and deployed it, we have to run updateArticleCount.php to update the article count. Adding a dependency to bug 29782.

I don't know why for correcting this factual mistake we need community consensus? Was there any community consensus taken before showing Gujarati Wikisource in the group of 1000+ pages on main wikisource.org home page? Isn't it obvious that if at one place it shows 1000 place and at the other it is just 600, that is incorrect and needs correcting? Anyways, community has always been active (not only recently but) even from the time when gu.wikisource.org was not created and since its creation community has discussed this issue of incorrect page count over and over again. See the discussion http://gu.wikisource.org/wiki/%E0%AA%B8%E0%AA%AD%E0%AB%8D%E0%AA%AF%E0%AA%A8%E0%AB%80_%E0%AA%9A%E0%AA%B0%E0%AB%8D%E0%AA%9A%E0%AA%BE:Dsvyas#.E0.AA.B2.E0.AB.87.E0.AA.96.E0.AA.A8.E0.AB.80_.E0.AA.B8.E0.AA.82.E0.AA.96.E0.AB.8D.E0.AA.AF.E0.AA.BE (where લેખની સંખ્યા means article count). We have a monthly call with community and this issue is discussed on every call. Hope the above link is sufficient for the satisfaction.

Will appreciate if the change is merged ASAP.

Wouldn't the more accurate means to have this resolved be that you have all
main namespace pages to be linked to them from other articles/pages, and to not
have pages sitting in isolation unlinked?

Other Wikisource have author namespace, portal namespace and other means to
compile links to and from each page. I would take as a warning if the count
varied and it was due to your having unlinked pages, and would think that you
would want to find the pages that were unlinked (orphans), and to have them
linked.

The billinghurst comment is letting me to think you should ask the community how they want to fix the problem.

I've no objection to implement a change considering every page as discrete entity, but this should be validated by a community decision, with other options (like the one billinghust offered in comment 3) discussed, shouldn't be?

(In reply to comment #3)

Wouldn't the more accurate means to have this resolved be that you have all
main namespace pages to be linked to them from other articles/pages, and to not
have pages sitting in isolation unlinked?
Other Wikisource have author namespace, portal namespace and other means to
compile links to and from each page. I would take as a warning if the count
varied and it was due to your having unlinked pages, and would think that you
would want to find the pages that were unlinked (orphans), and to have them
linked.

As this is not a wiki but wikisource, its not possible to link each page with other. What if i have a poem which has no author namespace page on source? Or folksongs and folklores?

Just like other wikis, we have various namespaces as well, e.g. author, portal, index, page, etc:

Community has already discussed this at the link i provided in my comment above and agreed to have each page in main namespace counted as unique entry.

Thank you for this clarification.

In a parallel mail, Dhaval has stressed on the following point: "if you see the dates in discussion thread i provided, yoi'll realise how much time we as community and I individually have spend on finding alternative solution. But when we found it almost impossible to do it otherway, this aproach was considered a last resort.".

This shows the community has already considered the "link all pages" option and considered it not implementable easily.

Furthermore, bug 26033 shows other projects had linking issues in the past.

[ -shellpolicy +shell ]

(In reply to comment #5)

(In reply to comment #3)

Wouldn't the more accurate means to have this resolved be that you have all
main namespace pages to be linked to them from other articles/pages, and to not
have pages sitting in isolation unlinked?
Other Wikisource have author namespace, portal namespace and other means to
compile links to and from each page. I would take as a warning if the count
varied and it was due to your having unlinked pages, and would think that you
would want to find the pages that were unlinked (orphans), and to have them
linked.

As this is not a wiki but wikisource, its not possible to link each page with
other. What if i have a poem which has no author namespace page on source? Or
folksongs and folklores?
Just like other wikis, we have various namespaces as well, e.g. author, portal,
index, page, etc:
Community has already discussed this at the link i provided in my comment above
and agreed to have each page in main namespace counted as unique entry.

I know perfectly well that this is a Wikisource, and I am talking to you and making these recommendations as one of the more experienced editors in the Wikisources, and why I purposefully expressed the opinion that I did.

I dispute your statement about links. English Wikisource clearly already does this. User of a standard header within each namespace that provides all the relevant directional linking. We are completely able to manage such linking across the namespace.

Work in main namespace <-> Author in Author namespace
<-> Thematic page in Portal namespace
<-> if within a published work, then linked to next component within same work

(In reply to comment #7)

I dispute your statement about links. English Wikisource clearly already does
this. User of a standard header within each namespace that provides all the
relevant directional linking. We are completely able to manage such linking
across the namespace.

I don't think I filed this bug to discuss what en.wikisource does and what other wikisources should do. Purpose of my filing this bug was and is to resolve the issue we face on gu.wikisource. What you do on en.wikisource has least concern with us, gu.wikisource community.

What would you say about the [https://bugzilla.wikimedia.org/show_bug.cgi?id=26033 bug 26033] ? or [https://bugzilla.wikimedia.org/show_bug.cgi?id=27256 bug 27256]?

I have deployed the change and ran the update script:

$ mwscript updateArticleCount.php --wiki guwikisource --update
Counting articles...found 1403.
Updating site statistics table... done.
$

http://gu.wikisource.org/wiki/વિશેષ:આંકડાકીયમાહિતી?uselang=en

લેખનું પાનું ૧,૪૦૩

\O/

Let me know if there is any issue!

Thank you both, Dereckson and Hashar. My community will be delighted to see the currect number tomorrow morning, which is nearly 2.5 times than what it was showing an hour ago...! Thank you once again.

Keep up the good work on editing the wiki and make sure to enroll new editors :-]

hashar removed a subscriber: hashar.Mar 15 2017, 12:44 PM